﻿:root {
    --pink: #ec65f0;
    --purple: #a575c7;
    --green: #7fe94e;
    --darkGreen: #045205;
    --blue: #4a8cbc;
    --yellow: #fff33f;
    --gray: #666361;
    --orange: #df9000;
    --red: #9c0303;
    --teal: #2dd8ff;
    --tan: #e1bb94;
}

path {
    fill: var(--tan);
    stroke: black;
    stroke-width: 30;
}

.green {
    fill: var(--green);
}

.darkGreen {
    fill: var(--darkGreen);
}

.gray {
    fill: var(--gray);
}

.blue {
    fill: var(--blue);
}

.yellow {
    fill: var(--yellow);
}

.purple {
    fill: var(--purple);
}

.orange {
    fill: var(--orange);
}

.red {
    fill: var(--red);
}

.teal {
    fill: var(--teal);
}

.pink {
    fill: var(--pink);
}

path:hover, .jsActive {
    cursor: pointer;
    transform: scale(1.005);
    transition: .3s;
    stroke-width: 200;
}

#map {
    max-width: 500px;
}

#infoSearch {
    display : flex;
    justify-content: space-between;
}

#mainContent {
    display:flex;
    justify-content:space-around;
}

#legend {
    max-width: 400px;
    display: flex;
    flex-direction:column;
    align-items: stretch; /* This makes all children stretch to the container width */
}

.legend--item {
    margin-right: 4px;
    margin-left: 4px;
    color: #2f3640;
    transition: all .2s ease-in-out;
    text-decoration: none;
    /*width: 100%;*/          /* Each item fills the width of #legend */
    /*box-sizing: border-box;
    display: block;*/       /* Ensures it behaves like a block element */
}
    .legend--item:hover, .jsActive {
        cursor: pointer;
        color: #dc8b14 !important;
        text-shadow: 1px 0 0 currentColor;
    }


@media (prefers-color-scheme: dark) {
    .legend--item {
        color: #c5cff5;
    }
}

@media (max-width : 770px) {
    #mainContent {
        display:flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #legend {
        max-width: 250px;
    }
}

.legend--county {
    margin:10px;
    padding:2px;
    border-radius:3px;
    width:90%;
}

#legendAlphabetically {
    display: grid;
    grid-template-columns: auto auto auto auto;
}

.alphabetical--item {
    padding:2px;
}

.legend--site {
    display: flex;
    align-items: center;
}

.uni--logo {
    
}

.colorKey {
    height:20px !important;
    width:20px !important;
    border-radius: 2px;
}

.flex--county {
    display:flex;
    align-items:center;
}

h2 {
    font-size : 18px;
    font-weight: bold;
    margin : 0px;
    margin-top:5px;
}

#legend-switch {
    margin-bottom: 10px;
}

#UNA {
    background-color: var(--pink);
}

#Athens {
    background-color : var(--gray);
}

#Alabama\ A\&M {
    background-color: var(--teal);
}

#UAB {
    background-color: var(--darkGreen);
}

#JSU {
    background-color: var(--purple);
}

#Montevallo {
    background-color: var(--green);
}

#ASU {
    background-color: var(--yellow);
}

#Auburn {
    background-color: var(--orange);
}

#Troy {
    background-color: var(--blue);
}

#South\ Alabama {
    background-color: var(--tan);
}

#Alabama {
    background-color: var(--red);
}